SDL_ReadS8(3)

NAME
SDL_ReadS8 - Use this function to read a signed byte from an SDL_IOStream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_ReadS8(SDL_IOStream *src, Sint8 *value);

DESCRIPTION
This function will return false when the data stream is completely read, and SDL_GetIOStatus() will return SDL_IO_STATUS_EOF. If false is returned and the stream is not at EOF, SDL_GetIOStatus() will return a different error value and SDL_GetError() will offer a human-readable message.

FUNCTION PARAMETERS

src the SDL_IOStream to read from.

value
    a pointer filled in with the data read.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.